Package org.jbpm.services.task.impl.model.xml

## Class JaxbTask

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbTask

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Task`, `org.kie.internal.task.api.model.InternalTask`

      public class JaxbTask
      extends Object
      implements org.kie.internal.task.api.model.InternalTask

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbTask()` |
    `JaxbTask​(org.kie.api.task.model.Task task)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.api.model.Deadlines` | `getDeadlines()` |
    `org.kie.internal.task.api.model.Delegation` | `getDelegation()` |
    `String` | `getDescription()` |
    `List<org.kie.api.task.model.I18NText>` | `getDescriptions()` |
    `String` | `getFormName()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `List<org.kie.api.task.model.I18NText>` | `getNames()` |
    `org.kie.api.task.model.PeopleAssignments` | `getPeopleAssignments()` |
    `Integer` | `getPriority()` |
    `String` | `getSubject()` |
    `List<org.kie.api.task.model.I18NText>` | `getSubjects()` |
    `org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy()` |
    `org.kie.api.task.model.Task` | `getTask()` | This is a convienence method that retrieves a TaskImpl instance.
    `org.kie.api.task.model.TaskData` | `getTaskData()` |
    `String` | `getTaskType()` |
    `Integer` | `getVersion()` |
    `void` | `initialize​(org.kie.api.task.model.Task task)` |
    `Boolean` | `isArchived()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setArchived​(Boolean archived)` |
    `void` | `setDeadlines​(org.kie.internal.task.api.model.Deadlines deadlines)` |
    `void` | `setDelegation​(org.kie.internal.task.api.model.Delegation delegation)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDescriptions​(List<org.kie.api.task.model.I18NText> descriptions)` |
    `void` | `setFormName​(String formName)` |
    `void` | `setId​(Long id)` |
    `void` | `setName​(String name)` |
    `void` | `setNames​(List<org.kie.api.task.model.I18NText> names)` |
    `void` | `setPeopleAssignments​(org.kie.api.task.model.PeopleAssignments peopleAssignments)` |
    `void` | `setPriority​(Integer priority)` |
    `void` | `setSubject​(String subject)` |
    `void` | `setSubjects​(List<org.kie.api.task.model.I18NText> subjects)` |
    `void` | `setSubTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)` |
    `void` | `setTaskData​(org.kie.api.task.model.TaskData taskData)` |
    `void` | `setTaskType​(String taskType)` |
    `void` | `setVersion​(Integer version)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbTask

          public JaxbTask()

    - #### JaxbTask

          public JaxbTask​(org.kie.api.task.model.Task task)

  - ### Method Detail

    - #### initialize

          public void initialize​(org.kie.api.task.model.Task task)

    - #### getTask

          public org.kie.api.task.model.Task getTask()

      This is a convienence method that retrieves a TaskImpl instance. It's used internally in the `AddTaskCommand.execute(org.kie.internal.command.Context)` method because that command requires a persistable task representation. Users who are looking for information from the task should not use this method: all of the task information is already available via the normal methods defined by the `Task` or `InternalTask` interfaces, both of which this class implements: for example: `getId()`, `getTaskData()` or `getPeopleAssignments()`.
      Returns:
        a TaskImpl instance

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Task`

    - #### setId

          public void setId​(Long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getPriority

          public Integer getPriority()

      Specified by:
        `getPriority` in interface `org.kie.api.task.model.Task`

    - #### setPriority

          public void setPriority​(Integer priority)

      Specified by:
        `setPriority` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getNames

          public List<org.kie.api.task.model.I18NText> getNames()

      Specified by:
        `getNames` in interface `org.kie.api.task.model.Task`

    - #### setNames

          public void setNames​(List<org.kie.api.task.model.I18NText> names)

      Specified by:
        `setNames` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getSubjects

          public List<org.kie.api.task.model.I18NText> getSubjects()

      Specified by:
        `getSubjects` in interface `org.kie.api.task.model.Task`

    - #### setSubjects

          public void setSubjects​(List<org.kie.api.task.model.I18NText> subjects)

      Specified by:
        `setSubjects` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getDescriptions

          public List<org.kie.api.task.model.I18NText> getDescriptions()

      Specified by:
        `getDescriptions` in interface `org.kie.api.task.model.Task`

    - #### setDescriptions

          public void setDescriptions​(List<org.kie.api.task.model.I18NText> descriptions)

      Specified by:
        `setDescriptions` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getPeopleAssignments

          public org.kie.api.task.model.PeopleAssignments getPeopleAssignments()

      Specified by:
        `getPeopleAssignments` in interface `org.kie.api.task.model.Task`

    - #### setPeopleAssignments

          public void setPeopleAssignments​(org.kie.api.task.model.PeopleAssignments peopleAssignments)

      Specified by:
        `setPeopleAssignments` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getTaskData

          public org.kie.api.task.model.TaskData getTaskData()

      Specified by:
        `getTaskData` in interface `org.kie.api.task.model.Task`

    - #### setTaskData

          public void setTaskData​(org.kie.api.task.model.TaskData taskData)

      Specified by:
        `setTaskData` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getTaskType

          public String getTaskType()

      Specified by:
        `getTaskType` in interface `org.kie.api.task.model.Task`

    - #### setTaskType

          public void setTaskType​(String taskType)

      Specified by:
        `setTaskType` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getDeadlines

          public org.kie.internal.task.api.model.Deadlines getDeadlines()

      Specified by:
        `getDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setDeadlines

          public void setDeadlines​(org.kie.internal.task.api.model.Deadlines deadlines)

      Specified by:
        `setDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setFormName

          public void setFormName​(String formName)

      Specified by:
        `setFormName` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getFormName

          public String getFormName()

      Specified by:
        `getFormName` in interface `org.kie.api.task.model.Task`

    - #### isArchived

          public Boolean isArchived()

      Specified by:
        `isArchived` in interface `org.kie.api.task.model.Task`

    - #### setArchived

          public void setArchived​(Boolean archived)

      Specified by:
        `setArchived` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setVersion

          public void setVersion​(Integer version)

    - #### getVersion

          public Integer getVersion()

      Specified by:
        `getVersion` in interface `org.kie.api.task.model.Task`

    - #### getDelegation

          public org.kie.internal.task.api.model.Delegation getDelegation()

      Specified by:
        `getDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setDelegation

          public void setDelegation​(org.kie.internal.task.api.model.Delegation delegation)

      Specified by:
        `setDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getSubTaskStrategy

          public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy()

      Specified by:
        `getSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setSubTaskStrategy

          public void setSubTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)

      Specified by:
        `setSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.task.model.Task`

    - #### getSubject

          public String getSubject()

      Specified by:
        `getSubject` in interface `org.kie.api.task.model.Task`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.kie.api.task.model.Task`

    - #### setName

          public void setName​(String name)

      Specified by:
        `setName` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setSubject

          public void setSubject​(String subject)

      Specified by:
        `setSubject` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### setDescription

          public void setDescription​(String description)

      Specified by:
        `setDescription` in interface `org.kie.internal.task.api.model.InternalTask`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`